{
    attributes = (
        {
            columnName = FDIP_CODE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = FDIP_KEY; }; 
            name = fdipCode; 
            valueClassName = NSString; 
            width = 7; 
        }, 
        {
            columnName = FDSA_MAJEURE; 
            externalType = VARCHAR2; 
            name = fdsaMajeure; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = FDSC_CODE; 
            externalType = VARCHAR2; 
            name = fdscCode; 
            valueClassName = NSString; 
            width = 10; 
        }
    ); 
    attributesUsedForLocking = (fdipCode, fdscCode); 
    className = EOGenericRecord; 
    classProperties = (
        fdipCode, 
        fdscCode, 
        fdsaMajeure, 
        toScolFormationDiplome, 
        toScolFormationDiscipline
    ); 
    externalName = SCOL_FORMATION_DISCIPLINAIRE; 
    fetchSpecificationDictionary = {}; 
    name = ScolFormationDisciplinaire; 
    primaryKeyAttributes = (fdipCode, fdscCode); 
    relationships = (
        {
            destination = ScolFormationDiplome; 
            internalInfo = {_nameInObjectStore = scolFormationDiplome; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fdipCode; sourceAttribute = fdipCode; }); 
            name = toScolFormationDiplome; 
        }, 
        {
            destination = ScolFormationDiscipline; 
            internalInfo = {_nameInObjectStore = scolFormationDiscipline; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fdscCode; sourceAttribute = fdscCode; }); 
            name = toScolFormationDiscipline; 
        }
    ); 
}
